TechDraw Vertikale Längenbemaßung

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page TechDraw Dimension Vertical and the translation is 61% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎română • ‎русский

TechDraw Dimension Vertical.svg TechDraw Vertikale Längenbemaßung

Menüeintrag
TechDraw → Eine vertikale Abstands-Bemaßung einfügen
Arbeitsbereich
TechDraw
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Längenbemaßung, Horizontale Längenbemaßungen


Beschreibung

Das Werkzeug »Vertikale Längenbemaßung« fügt ein vertikales Maß in einer Ansicht hinzu. Die Bemaßung kann zwischen zwei Ecken liegen, die Länge einer Kante oder der vertikale Abstand zwischen zwei Kanten sein. Der Abstand ist zuerst der projizierte Abstand (wie in der Zeichnung dargestellt), aber dieser kann unter Verwendung des TechDraw Dimension Link.svg Bemaßungen verlinken-Werkzeugs zum eigentlichen 3D-Abstand geändert werden.

TechDraw Dimension Vertical example.png

Längenbemaßung zweier beliebiger Knoten der Ansicht, der Abstand wird in vertikaler Richtung gemessen


Anwendung

  1. Punkte oder Kanten auswählen, die für die Abmessung benötigt werden.
  2. Auf die Schaltfläche Techdraw Dimension Vertical.png Eine vertikale Abstands-Bemaßung einfügen klicken.
  3. Die Bemaßung wird in die Ansicht eingefügt. Sie kann anschließend an die gewünschte Position gezogen werden.

Einschränkungen

Bemaßungsobjekte sind anfällig für Probleme mit "topological naming". Weitere Informationen gibt es unter dem Werkzeug Längenbemaßung.

Eigenschaften

Diese Funktion hat die gleichen Eigenschaften wie das Werkzeug TechDraw Horizontale Längenbemassung. Weitere Angaben stehen auf der genannten Seite des Werkzeugs.

Programmierung

Das Werkzeug »Vertikale Längenbemaßung« kann sowohl in Makros als auch aus der Python-Konsole heraus mittels folgender Funktion angesprochen werden:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)